- include_role:
    name: prometheus
    tasks_from: dashboards.yaml
  when:
  - do_exporters
  - grafana_public_address | default(False)
  - grafana_public_address != 'not deployed'
- name: Set Roundcube API Facts
  changed_when: False
  set_fact:
    dash_list: "{{ has_dash | default([]) | unique }}"
    roundcube_priv_address: "http://{{ roundcube_name }}.{{ namespace }}.svc.{{ cluster_domain }}:8080"
    roundcube_pub_address: "https://{{ roundcube_fqdn }}"
- block:
  - name: Reads Operator Token
    args:
      chdir: /run/secrets/kubernetes.io/serviceaccount
    changed_when: False
    register: api_token
    shell: cat token
  - name: Marks Roundcube Provisionned
    no_log: True
    uri:
      body: |
        {
          "status": {
            "dashboards": {{ dash_list }},
            "ready": true,
            "roundcube_internal": "{{ roundcube_priv_address }}",
            "roundcube_public": "{{ roundcube_pub_address }}"
          }
        }
      body_format: json
      headers:
        Authorization: "Bearer {{ api_token.stdout_lines[0] }}"
        Content-Type: application/merge-patch+json
      method: PATCH
      return_content: yes
      url: "https://kubernetes.default.svc.{{ cluster_domain }}/apis/{{ cr_apivers }}/namespaces/{{ namespace }}/roundcubes/{{ cr_name }}/status"
      validate_certs: False
  when:
  - roundcube_crd is defined
  - roundcube_crd.resources is defined
  - roundcube_crd.resources | length > 0
  - >
      roundcube_crd.resources[0].status is not defined
      or (roundcube_crd.resources[0].status is defined
          and (roundcube_crd.resources[0].status.ready is not defined
               or (roundcube_crd.resources[0].status.roundcube_internal | default('')) != roundcube_priv_address
               or (roundcube_crd.resources[0].status.roundcube_public | default('')) != roundcube_pub_address))
